Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.schemamatching
Class MatchingResult<T extends ParameterObject>

    java.lang.Object
      edu.udo.cs.miningmart.schemamatching.MatchingResult<T>

    public class MatchingResult<T extends ParameterObject>

extends java.lang.Object

Objects of this class are result matrices of schema matchers that implement the interface `MmSchemaMatcher`.

Version:
  $Id: MatchingResult.java,v 1.4 2006/09/27 15:00:03 euler Exp $
Author:
  Timm Euler

Constructor Summary
`MatchingResult()`

Method Summary
`T` | `getObjectOfFirstSchema()`
`T` | `getObjectOfSecondSchema()`
`double` | `getSimilarity()`
`void` | `setObjectOfFirstSchema(T obj)`
`void` | `setObjectOfSecondSchema(T obj)`
`void` | `setSimilarity(double similarity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatchingResult

    public MatchingResult()

Method Detail

### getObjectOfFirstSchema

    public T getObjectOfFirstSchema()

  Returns:
    Returns the element of the first schema.

### setObjectOfFirstSchema

    public void setObjectOfFirstSchema(T obj)
                                throws SchemaMatchException

  Parameters:
    `obj` - The element to set.
  Throws:
    `SchemaMatchException`

### getObjectOfSecondSchema

    public T getObjectOfSecondSchema()

  Returns:
    Returns the element of the second schema.

### setObjectOfSecondSchema

    public void setObjectOfSecondSchema(T obj)
                                 throws SchemaMatchException

  Parameters:
    `obj` - The element to set.
  Throws:
    `SchemaMatchException`

### getSimilarity

    public double getSimilarity()

  Returns:
    Returns the similarity.

### setSimilarity

    public void setSimilarity(double similarity)

  Parameters:
    `similarity` - The similarity to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005